## kjobwidgets 5.110.0

=== debian/changelog ===
kjobwidgets (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:08:20 +0100

=== debian/control ===
Source: kjobwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.110.0~),
               libkf5coreaddons-dev (>= 5.110.0~),
               libkf5widgetsaddons-dev (>= 5.110.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kjobwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
Rules-Requires-Root: no

Package: libkf5jobwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5jobwidgets5-data
Replaces: libkf5jobwidgets5-data
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the translations.

Package: libkf5jobwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.110.0~),
         libkf5jobwidgets5 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.110.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5jobwidgets-doc (= ${source:Version})
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 Contains development files for kjobwidgets.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5jobwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets for tracking KJob instances (documentation)
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5jobwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5jobwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
Breaks: baloo-kf5 (<< 5.42),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.42),
        kio (<< 5.42),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-kio (<< 5.42),

## kjobwidgets 5.113.0

=== debian/changelog ===
kjobwidgets (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:06 +0000

kjobwidgets (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:59 +0000

kjobwidgets (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:41 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -45,9 +45,9 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.110.0~),
+Depends: libkf5coreaddons-dev (>= 5.113.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.110.0~),
+         libkf5widgetsaddons-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5jobwidgets-doc (= ${source:Version})

## kjobwidgets 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KJobWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(CMakePackageConfigHelpers)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()
if (NOT APPLE)
    find_package(X11)
endif()

set(HAVE_X11 ${X11_FOUND})

if (HAVE_X11)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    else()
        # qtx11extras_p.h is in Qt6Gui, which implied by the Qt6Widgets above
    endif()
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KJOBWIDGETS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfigVersion.cmake"
                        SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5JobWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5JobWidgets_QCH
        FILE KF5JobWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5JobWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5JobWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5JobWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5JobWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kjobwidgets (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:24 +0200

kjobwidgets (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,18 +17,18 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5jobwidgets5-data
-Replaces: libkf5jobwidgets5-data
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5jobwidgets5-data,
+Replaces: libkf5jobwidgets5-data,
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.113.0~),
+Depends: libkf5coreaddons-dev (>= 5.115.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.113.0~),
+         libkf5widgetsaddons-dev (>= 5.115.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version})
+Recommends: libkf5jobwidgets-doc (= ${source:Version}),
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget

## kjobwidgets 5.116.0

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

macro(kjobwidgets_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt${QT_MAJOR_VERSION}::Test KF5::JobWidgets)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kjobwidgets_executable_tests(
   kjobtrackerstest
)

set(kjobcreator_SRCS kjobcreator.cpp)
qt_wrap_ui(kjobcreator_SRCS kjobcreator.ui)
add_executable(kjobcreator ${kjobcreator_SRCS})
target_link_libraries(kjobcreator Qt${QT_MAJOR_VERSION}::Widgets KF5::JobWidgets)
ecm_mark_as_test(kjobcreator)

=== debian/changelog ===
kjobwidgets (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:47:07 +0100

kjobwidgets (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:27 +0100

kjobwidgets (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:33:23 +0000

kjobwidgets (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:04:27 +0000

kjobwidgets (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 08:00:28 -0700

kjobwidgets (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:21:44 -0700

kjobwidgets (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:56:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,18 +17,18 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5jobwidgets5-data,
-Replaces: libkf5jobwidgets5-data,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5jobwidgets5-data
+Replaces: libkf5jobwidgets5-data
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.115.0~),
+Depends: libkf5coreaddons-dev (>= 5.116.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.115.0~),
+         libkf5widgetsaddons-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version}),
+Recommends: libkf5jobwidgets-doc (= ${source:Version})
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget

## kjobwidgets 5.116.0+p24.04+vstable+git20250916.0149

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20250916.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:49:27 +0000

kjobwidgets (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:41:40 +1000

kjobwidgets (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:35:15 +0000

kjobwidgets (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:24:04 +0000

kjobwidgets (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:04:22 +0000

kjobwidgets (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:46:00 +0000

kjobwidgets (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:06:47 +0000

kjobwidgets (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:27:33 +0000

kjobwidgets (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:10:46 +0000

kjobwidgets (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:10:46 +0000

kjobwidgets (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:41:09 +0000

kjobwidgets (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:00:47 +0000

kjobwidgets (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:53:33 +0000

kjobwidgets (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:27:42 +0000

kjobwidgets (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:35:23 +0000

kjobwidgets (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:56:38 +0000

kjobwidgets (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:58:43 +0000

kjobwidgets (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:06:21 +0000

kjobwidgets (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:21:41 +0000

kjobwidgets (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:29:44 +0000

kjobwidgets (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:01:55 +0000

kjobwidgets (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:31:43 +0000

kjobwidgets (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:56:58 +0000

kjobwidgets (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:32:30 +0000

kjobwidgets (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:39 +0000

kjobwidgets (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:24:45 +0000

kjobwidgets (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:21 +0000

kjobwidgets (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 15:56:08 +0000

kjobwidgets (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:10:08 +0000

kjobwidgets (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:46 +0000

kjobwidgets (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:53 +0000

kjobwidgets (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:28 +0000

kjobwidgets (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:36 +0000

kjobwidgets (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:51 +0000

kjobwidgets (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:00 +0000

kjobwidgets (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:14:22 +0000

kjobwidgets (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:05:55 +0000

kjobwidgets (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:40 +0000

kjobwidgets (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:41:11 +0000

kjobwidgets (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:29:59 +0000

kjobwidgets (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:24:03 +0000

kjobwidgets (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:28:15 +0000

kjobwidgets (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:51:25 +0000

kjobwidgets (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:41 +0000

kjobwidgets (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:37 +0000

kjobwidgets (5.68.0-0neon) bionic; urgency=medium

  * New release



## kjobwidgets 5.116.0+p24.04+vstable+git20250922.0419

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20250922.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:19:28 +0000

## kjobwidgets 5.116.0+p24.04+vstable+git20251020.0600

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20251020.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:00:29 +0000

## kjobwidgets 5.116.0+p24.04+vstable+git20251028.0949

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20251028.0949-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:49:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.116.0~),
-               libkf5coreaddons-dev (>= 5.116.0~),
-               libkf5widgetsaddons-dev (>= 5.116.0~),
+               extra-cmake-modules (>= 5.51.0~),
+               graphviz,
+               libkf5coreaddons-dev (>= 5.51.0~),
+               libkf5widgetsaddons-dev (>= 5.51.0~),
                libqt5sql5-sqlite,
-               libqt5x11extras5-dev (>= 5.15.2~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.15.2~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
-Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
-Rules-Requires-Root: no
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 4.1.4
+Homepage: https://projects.kde.org/projects/frameworks/kjobwidgets
+Vcs-Git: https://invent.kde.org/neon/kde/kjobwidgets.git
+Vcs-Browser: https://invent.kde.org/neon/kde/kjobwidgets
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkf5jobwidgets-data
 Architecture: all
@@ -45,11 +44,13 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.116.0~),
+Depends: libkf5coreaddons-dev (>= 5.51.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.116.0~),
-         qtbase5-dev (>= 5.15.2~),
-         ${misc:Depends},
+         libkf5widgetsaddons-dev (>= 5.51.0~),
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends}
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.51)
+Replaces: libkf5jobwidgets-doc (<< 5.61.90-0)
 Recommends: libkf5jobwidgets-doc (= ${source:Version})
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
@@ -63,7 +64,6 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
 
 Package: libkf5jobwidgets-doc
 Architecture: all
@@ -88,7 +88,7 @@
 Multi-Arch: same
 Depends: libkf5jobwidgets-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -107,21 +107,21 @@
         kross (<< 5.42),
         ktexteditor-katepart (<< 5.42),
         libkf5declarative5 (<< 5.42),
-        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.51),
         libkf5kdelibs4support5-bin (<< 5.42),
         libkf5khtml-bin (<< 5.42),
-        libkf5khtml5 (<< 5.54),
-        libkf5kiofilewidgets5 (<< 5.54),
-        libkf5kiowidgets5 (<< 5.54),
+        libkf5khtml5 (<< 5.51),
+        libkf5kiofilewidgets5 (<< 5.51),
+        libkf5kiowidgets5 (<< 5.51),
         libkf5krossui5 (<< 5.42),
         libkf5mediaplayer5 (<< 5.42),
         libkf5newstuff5 (<< 5.42),
         libkf5notifyconfig5 (<< 5.42),
         libkf5parts-plugins (<< 5.42),
-        libkf5parts5 (<< 5.54),
+        libkf5parts5 (<< 5.51),
         libkf5plasma5 (<< 5.42),
         libkf5plasmaquick5 (<< 5.42),
-        libkf5texteditor5 (<< 5.54),
-        libkf5webkit5 (<< 5.54),
+        libkf5texteditor5 (<< 5.51),
+        libkf5webkit5 (<< 5.51),
         plasma-framework (<< 5.42),
-        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-kio (<< 5.42)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kjobwidgets-([\d.]+)\.tar\.xz

## kjobwidgets 5.116.0+p24.04+vstable+git20251212.0114

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20251212.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 01:14:42 +0000

## kjobwidgets 5.116.0+p24.04+vstable+git20251224.0627

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vstable+git20251224.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:27:17 +0000

## kjobwidgets 5.116.0+p24.04+vunstable+git20251020.0218

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vunstable+git20251020.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:18:14 +0000

## kjobwidgets 5.116.0+p24.04+vunstable+git20251028.0851

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vunstable+git20251028.0851-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:51:25 +0000

## kjobwidgets 5.116.0+p24.04+vunstable+git20251211.0217

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vunstable+git20251211.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:17:27 +0000

## kjobwidgets 5.116.0+p24.04+vunstable+git20251224.0654

=== debian/changelog ===
kjobwidgets (5.116.0+p24.04+vunstable+git20251224.0654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:54:19 +0000
